import java.util.Scanner;

/**
 * Classe para lancar o teste do jogo Ipex
 * 
 * @author Ana Santos
 * @version 1.0 - 16/Jul/2013 
 **/
public class Runner  {
	
	/**
	 * Lanca o exemplo em versao interativa ou automatica
	 * @param args
	 **/
	public static void main(String[] args) {
		
		Scanner sc = new Scanner(System.in);
		int escolha = 0;
		
		System.out.println("Quer executar a versao automatica ou interativa?");
		System.out.println("1: Automatica\n2: Interativa");
		System.out.print("Introduza escolha: ");
		
		try {
			escolha = sc.nextInt();
		} catch (Exception e) {
			System.err.println("Erro: " + e.getMessage());
		}
		
		if (escolha == 1) {
			new TabuleiroRandomTest(1).run();
		} else if (escolha == 2) {
			new TabuleiroIOTest(new Ipex()).run();
		} else {
			System.out.println("Opcao invalida!");
		}
		sc.close();
	}
}